| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexPositionTransformManipulator Class Reference

Vertex manipulator which transforms the position of the vertex. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexPositionTransformManipulator:

List of all members.

## Public Member Functions

- SVertexPositionTransformManipulator (const core::matrix4 &m)
- template<typename VType > void operator() (VType &vertex) const

## Detailed Description

Vertex manipulator which transforms the position of the vertex.

Definition at line 252 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexPositionTransformManipulator::SVertexPositionTransformManipulator | ( | const core::matrix4 & | m | ) | `[inline]`

Definition at line 255 of file SVertexManipulator.h.

## Member Function Documentation

template<typename VType >

void irr::scene::SVertexPositionTransformManipulator::operator() | ( | VType & | vertex | ) | const`[inline]`

Definition at line 257 of file SVertexManipulator.h.

References irr::core::CMatrix4< T >::transformVect().

The documentation for this class was generated from the following file:

- SVertexManipulator.h